package com.tzld.piaoquan.content.understanding.util;

import java.util.Objects;

/**
 * @author supeng
 */
public class UrlUtil {
    /**
     * 返回http Url
     *
     * @param httpDomain
     * @param url
     * @return
     */
    public static String processUrl(String httpDomain, String url) {
        if (Objects.isNull(url)) {
            return null;
        }
        String lowerUrl = url.toLowerCase();
        if (!lowerUrl.startsWith("http://") && !lowerUrl.startsWith("https://")) {
            return httpDomain + url;
        } else {
            return url;
        }
    }
}
