package com.tzld.piaoquan.content.understanding.service;

import com.alibaba.fastjson.JSON;
import com.tzld.piaoquan.content.understanding.BaseTest;
import com.tzld.piaoquan.content.understanding.rocketmq.producer.OldVersionRemainVideoUnderstandingProducer;
import org.apache.rocketmq.client.apis.message.MessageId;
import org.apache.rocketmq.client.apis.producer.SendReceipt;
import org.apache.rocketmq.client.core.RocketMQClientTemplate;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.time.Duration;
import java.util.HashMap;
import java.util.Map;
import java.util.Objects;

public class RocketmqTest extends BaseTest {

    @Autowired
    OldVersionRemainVideoUnderstandingProducer oldVersionRemainVideoUnderstandingProducer;

    @Test
    public void testSend() {
        Map<String, Object> messageMap = new HashMap<>();
        messageMap.put("videoId", 9039231L);
        Duration duration = Duration.ofMinutes(1);
        MessageId messageId = oldVersionRemainVideoUnderstandingProducer.syncSendDelayMessage(messageMap, duration);
        System.out.println(messageId);
    }
}
